Name:          tpm2-tools
Version:       5.5
Release:       1
Summary:       A TPM2.0 testing tool based on TPM2.0-TSS
License:       BSD
URL:           https://github.com/tpm2-software/tpm2-tools
Source0:       https://github.com/tpm2-software/tpm2-tools/releases/download/%{version}/%{name}-%{version}.tar.gz


BuildRequires: gcc-c++ libtool autoconf-archive pkgconfig(cmocka) pkgconfig(libcurl) pkgconfig(openssl)
BuildRequires: pkgconfig(tss2-mu) pkgconfig(tss2-sys) pkgconfig(tss2-esys) pkgconfig(uuid) libgcrypt
BuildRequires: libgcrypt-devel
Requires:  tpm2-tss >= 2.3.1
Requires:  tpm2-tools-help = %{version}-%{release}
Obsoletes: tpm2-tools <= 2.1.1-2

%description
The package contains the code for the TPM (Trusted Platform Module) 2.0
tools based on tpm2-tss.

The tpm2-tools projects aims to deliver both low-level and aggregate
command line tools that provide access to a tpm2.0 compatible device.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --prefix=/usr --disable-static --disable-silent-rules
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
%make_install

%check
make check

%pre

%preun

%post

%postun

%files
%defattr(-,root,root)
%license docs/LICENSE
%{_bindir}/*
%{_datadir}/bash-completion/completions/tpm2*
%{_datadir}/bash-completion/completions/tss2*

%files help
%doc docs/README.md docs/CHANGELOG.md
%{_mandir}/*/*

%changelog
* Tue Jul 18 2023 jinlun <jinlun@huawei.com> - 5.5-1
- update to 5.5

* Tue Dec 20 2022 wangyunjia <yunjia.wang@huawei.com> - 5.4-1
- update to 5.4

* Mon Sep 27 2021 fuanan <fuanan3@huawei.com> - 5.0-5
- fix CVE-2021-3565

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 5.0-4
- DESC: delete -Sgit from %autosetup, and delete BuildRequires git

* Mon Jul 26 2021 fuanan <fuanan3@huawei.com> - 5.0-3
- Remove redundant gdb from BuildRequires

* Fri Apr 30 2021 Hugel <gengqihu1@huawei.com> - 5.0-2
- fix segmentation fault on tpm2

* Mon Jan 25 2021 panxiaohe <panxiaohe@huawei.com> - 5.0-1
- update to 5.0

* Thu Aug 6 2020 zhangxingliang <zhangxingliang3@huawei.com> - 4.1.3-1
- update to 4.1.3

* Thu Mar 19 2020 openEuler Buildteam <buildteam@openeuler.org> - 3.1.1-7
- add BuildRequires: libgcrypt-devel gdb

* Wed Jan 22 2020 openEuler Buildteam <buildteam@openeuler.org> - 3.1.1-6
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: add BuildRequires

* Tue Sep 24 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.1.1-5
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: revise spec file with new rules

* Wed Aug 14 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.1.1-4
- Package init
